SDL_HapticPeriodic Struct Reference

`#include <SDL_haptic.h>`

Collaboration diagram for SDL_HapticPeriodic:
[legend]

## Data Fields

SDL_HapticEffectType | type
SDL_HapticDirection | direction
Uint32 | length
Uint16 | delay
Uint16 | button
Uint16 | interval
Uint16 | period
Sint16 | magnitude
Sint16 | offset
Uint16 | phase
Uint16 | attack_length
Uint16 | attack_level
Uint16 | fade_length
Uint16 | fade_level

## Detailed Description

A structure containing a template for a Periodic effect.

The struct handles the following effects:

- SDL_HAPTIC_SINE
- SDL_HAPTIC_SQUARE
- SDL_HAPTIC_TRIANGLE
- SDL_HAPTIC_SAWTOOTHUP
- SDL_HAPTIC_SAWTOOTHDOWN

A periodic effect consists in a wave-shaped effect that repeats itself over time. The type determines the shape of the wave and the parameters determine the dimensions of the wave.

Phase is given by hundredth of a degree meaning that giving the phase a value of 9000 will displace it 25% of its period. Here are sample values:

- 0: No phase displacement.
- 9000: Displaced 25% of its period.
- 18000: Displaced 50% of its period.
- 27000: Displaced 75% of its period.
- 36000: Displaced 100% of its period, same as 0, but 0 is preferred.

Examples:

SDL_HAPTIC_SINE
__ __ __ __
/ \ / \ / \ /
/ \__/ \__/ \__/
SDL_HAPTIC_SQUARE
__ __ __ __ __
| | | | | | | | | |
| |__| |__| |__| |__| |
SDL_HAPTIC_TRIANGLE
/\ /\ /\ /\ /\
/ \ / \ / \ / \ /
/ \/ \/ \/ \/
SDL_HAPTIC_SAWTOOTHUP
/| /| /| /| /| /| /|
/ | / | / | / | / | / | / |
/ |/ |/ |/ |/ |/ |/ |
SDL_HAPTIC_SAWTOOTHDOWN
\ |\ |\ |\ |\ |\ |\ |
\ | \ | \ | \ | \ | \ | \ |
\| \| \| \| \| \| \|
SDL_HAPTIC_SQUARE
#define SDL_HAPTIC_SQUARE
Definition SDL_haptic.h:214
SDL_HAPTIC_SINE
#define SDL_HAPTIC_SINE
Definition SDL_haptic.h:203
SDL_HAPTIC_SAWTOOTHUP
#define SDL_HAPTIC_SAWTOOTHUP
Definition SDL_haptic.h:236
SDL_HAPTIC_TRIANGLE
#define SDL_HAPTIC_TRIANGLE
Definition SDL_haptic.h:225
SDL_HAPTIC_SAWTOOTHDOWN
#define SDL_HAPTIC_SAWTOOTHDOWN
Definition SDL_haptic.h:247

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_HAPTIC_SINE
  SDL_HAPTIC_SQUARE
  SDL_HAPTIC_TRIANGLE
  SDL_HAPTIC_SAWTOOTHUP
  SDL_HAPTIC_SAWTOOTHDOWN
  SDL_HapticEffect

Definition at line 672 of file SDL_haptic.h.

## Field Documentation

## attack_length

Uint16 SDL_HapticPeriodic::attack_length

Duration of the attack.

Definition at line 695 of file SDL_haptic.h.

## attack_level

Uint16 SDL_HapticPeriodic::attack_level

Level at the start of the attack.

Definition at line 696 of file SDL_haptic.h.

## button

Uint16 SDL_HapticPeriodic::button

Button that triggers the effect.

Definition at line 685 of file SDL_haptic.h.

## delay

Uint16 SDL_HapticPeriodic::delay

Delay before starting the effect.

Definition at line 682 of file SDL_haptic.h.

## direction

SDL_HapticDirection SDL_HapticPeriodic::direction

Direction of the effect.

Definition at line 678 of file SDL_haptic.h.

## fade_length

Uint16 SDL_HapticPeriodic::fade_length

Duration of the fade.

Definition at line 697 of file SDL_haptic.h.

## fade_level

Uint16 SDL_HapticPeriodic::fade_level

Level at the end of the fade.

Definition at line 698 of file SDL_haptic.h.

## interval

Uint16 SDL_HapticPeriodic::interval

How soon it can be triggered again after button.

Definition at line 686 of file SDL_haptic.h.

## length

Uint32 SDL_HapticPeriodic::length

Duration of the effect.

Definition at line 681 of file SDL_haptic.h.

## magnitude

Sint16 SDL_HapticPeriodic::magnitude

Peak value; if negative, equivalent to 180 degrees extra phase shift.

Definition at line 690 of file SDL_haptic.h.

## offset

Sint16 SDL_HapticPeriodic::offset

Mean value of the wave.

Definition at line 691 of file SDL_haptic.h.

## period

Uint16 SDL_HapticPeriodic::period

Period of the wave.

Definition at line 689 of file SDL_haptic.h.

## phase

Uint16 SDL_HapticPeriodic::phase

Positive phase shift given by hundredth of a degree.

Definition at line 692 of file SDL_haptic.h.

## type

SDL_HapticEffectType SDL_HapticPeriodic::type

SDL_HAPTIC_SINE, SDL_HAPTIC_SQUARE SDL_HAPTIC_TRIANGLE, SDL_HAPTIC_SAWTOOTHUP or SDL_HAPTIC_SAWTOOTHDOWN

Definition at line 675 of file SDL_haptic.h.

The documentation for this struct was generated from the following file:

- SDL_haptic.h